Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_SystemCategorySelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_SystemObjectSelector
              oracle.ifs.server.S_SystemCategorySelector

Direct Known Subclasses:
  S_AuditTypeEntrySelector, S_LifecyclePolicyEntrySelector

    public class S_SystemCategorySelector

extends S_SystemObjectSelector

A S_SystemCategorySelector is used to select system categories.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_SystemCategorySelector(S_LibrarySession session, java.lang.Long classId)` Constructs a S_SystemCategorySelector object.

Method Summary
`protected S_SystemCategory[]` | `selectAllCategories(java.lang.Long id)` Returns all SystemCategory objects associated with the specified SystemObject.
`protected S_SystemCategory[]` | `selectAllCategories(java.lang.Long soid, SortSpecification sort)` Returns all SystemCategory objects associated with the specified systemObject.
`protected java.util.Vector` | `selectAllCategoryData(java.lang.Long id, SortSpecification sort)` Returns Vector of S_LibraryObjectDatas corresponding to all SystemCategory objects associated with the specified SystemObject.

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_SystemCategorySelector

    protected S_SystemCategorySelector(S_LibrarySession session,
                                       java.lang.Long classId)
                                throws IfsException

  Constructs a S_SystemCategorySelector object.

  This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectAllCategories

    protected S_SystemCategory[] selectAllCategories(java.lang.Long id)
                                              throws IfsException

  Description copied from class: `S_SystemCategorySelector`
  Returns all SystemCategory objects associated with the specified SystemObject.

  Parameters:
    `id` - the SystemObject
  Returns:
    the arryay of SystemCategory objects.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllCategories

    protected S_SystemCategory[] selectAllCategories(java.lang.Long soid,
                                                     SortSpecification sort)
                                              throws IfsException

  Description copied from class: `S_SystemCategorySelector`
  Returns all SystemCategory objects associated with the specified systemObject.

  Parameters:
    `soid` - the SystemObject
    `sort` - how the SystemCategories are to be sorted
  Returns:
    the array of SystemCategory objects.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllCategoryData

    protected java.util.Vector selectAllCategoryData(java.lang.Long id,
                                                     SortSpecification sort)
                                              throws IfsException

  Description copied from class: `S_SystemCategorySelector`
  Returns Vector of S_LibraryObjectDatas corresponding to all SystemCategory objects associated with the specified SystemObject.

  Parameters:
    `id` - the SystemObject
  Returns:
    the Vector of S_LibraryObjectData objects corresponding to all Category objects associated with the specified SystemObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD